Loading...
Searching...
No Matches
_xmlDoc Struct Reference

An XML or HTML document. More...

`#include <tree.h>`

## Data Fields

void * | _private
| application data
xmlElementType | type
| XML_DOCUMENT_NODE or XML_HTML_DOCUMENT_NODE.
char * | name
| NULL.
struct _xmlNode * | children
| first child
struct _xmlNode * | last
| last child
struct _xmlNode * | parent
| parent node
struct _xmlNode * | next
| next sibling
struct _xmlNode * | prev
| previous sibling
struct _xmlDoc * | doc
| reference to itself
int | compression
| level of zlib compression
int | standalone
| standalone document (no external refs)
struct _xmlDtd * | intSubset
| internal subset
struct _xmlDtd * | extSubset
| external subset
struct _xmlNs * | oldNs
| used to hold the XML namespace if needed
xmlChar * | version
| version string from XML declaration
xmlChar * | encoding
| actual encoding if any
void * | ids
| hash table for ID attributes if any
void * | refs
| hash table for IDREFs attributes if any
xmlChar * | URL
| URI of the document.
int | charset
| unused
struct _xmlDict * | dict
| dict used to allocate names if any
void * | psvi
| for type/PSVI information
int | parseFlags
| xmlParserOption enum used to parse the document
int | properties
| xmlDocProperties of the document

## Detailed Description

An XML or HTML document.

## Field Documentation

## standalone

int standalone

standalone document (no external refs)

- 1 if standalone="yes",
- 0 if standalone="no",
- -1 if there is no XML declaration,
- -2 if there is an XML declaration, but no standalone attribute was specified

The documentation for this struct was generated from the following file:

- tree.h